Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
Botan::TLS::Extended_Master_Secret Class Referencefinal

`#include <tls_extensions.h>`

Inheritance diagram for Botan::TLS::Extended_Master_Secret:

## Public Member Functions
bool | empty () const override
| Extended_Master_Secret ()=default
| Extended_Master_Secret (TLS_Data_Reader &reader, uint16_t extension_size)
std::vector< uint8_t > | serialize () const override
Handshake_Extension_Type | type () const override

## Static Public Member Functions
static Handshake_Extension_Type | static_type ()

## Detailed Description

Extended Master Secret Extension (RFC 7627)

Definition at line 360 of file tls_extensions.h.

## Constructor & Destructor Documentation

Botan::TLS::Extended_Master_Secret::Extended_Master_Secret | ( |  | ) |
| default

Botan::TLS::Extended_Master_Secret::Extended_Master_Secret | ( | TLS_Data_Reader & | reader,
|  | uint16_t | extension_size
| ) |  |

Definition at line 596 of file tls_extensions.cpp.

598 {
599 if(extension_size != 0)
600 throw Decoding_Error("Invalid extended_master_secret extension");
601 }

## Member Function Documentation

bool Botan::TLS::Extended_Master_Secret::empty | ( |  | ) | const
| inline override virtual

Returns
  if we should encode this extension or not

Implements Botan::TLS::Extension.

Definition at line 370 of file tls_extensions.h.

370 { return false; }

std::vector< uint8_t > Botan::TLS::Extended_Master_Secret::serialize | ( |  | ) | const
| override virtual

Returns
  serialized binary for the extension

Implements Botan::TLS::Extension.

Definition at line 603 of file tls_extensions.cpp.

604 {
605 return std::vector<uint8_t>();
606 }

static Handshake_Extension_Type Botan::TLS::Extended_Master_Secret::static_type | ( |  | ) |
| inline static

Definition at line 363 of file tls_extensions.h.

References Botan::TLS::TLSEXT_EXTENDED_MASTER_SECRET.

Referenced by type().

364 { return TLSEXT_EXTENDED_MASTER_SECRET; }
Botan::TLS::TLSEXT_EXTENDED_MASTER_SECRET
Definition: tls_extensions.h:40

Handshake_Extension_Type Botan::TLS::Extended_Master_Secret::type | ( |  | ) | const
| inline override virtual

Returns
  code number of the extension

Implements Botan::TLS::Extension.

Definition at line 366 of file tls_extensions.h.

References static_type().

366 { return static_type(); }
Botan::TLS::Extended_Master_Secret::static_type
static Handshake_Extension_Type static_type()
Definition: tls_extensions.h:363

The documentation for this class was generated from the following files:

- src/lib/tls/tls_extensions.h
- src/lib/tls/tls_extensions.cpp